Skip to main content
GET
/
api
/
v1
/
acts
/
{act_id}
/
text
Get act text URLs
curl --request GET \
  --url https://api.vaquill.ai/api/v1/acts/{act_id}/text \
  --header 'Authorization: Bearer <token>'
{
  "actId": "<string>",
  "title": "<string>",
  "textUrl": "<string>",
  "year": 123,
  "category": "<string>",
  "pdfUrl": "<string>",
  "htmlUrl": "<string>",
  "chunksCount": 0
}

Documentation Index

Fetch the complete documentation index at: https://vaquill.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key issued from the Vaquill developer dashboard. Pass as Authorization: Bearer vq_key_...

Path Parameters

act_id
string
required
Required string length: 1 - 200
Pattern: ^[a-zA-Z0-9_-]+$

Response

Successful Response

actId
string
required
title
string
required
textUrl
string
required
year
integer | null
category
string | null
pdfUrl
string | null
htmlUrl
string | null
chunksCount
integer
default:0